#
# spec file for package perl-Linux-Inotify2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Linux-Inotify2
Summary:        scalable directory/file change notification
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        1.22
Release:        lp152.3.4
Url:            http://www.cpan.org/modules/by-module/Linux/
Source:         Linux-Inotify2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-common-sense
BuildRequires:  perl-macros
Requires:       perl-common-sense
%{perl_requires}

%description
This module implements an interface to the Linux 2.6.13 and later
Inotify file/directory change notification sytem.



%prep
%setup -q -n Linux-Inotify2-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes MANIFEST COPYING
%doc %{_mandir}/man3/*Inotify2*.gz
%{perl_vendorarch}/auto/Linux
%{perl_vendorarch}/Linux

%changelog
* Sat Nov 17 2012 ro@suse.de
- fix check-build.sh to work with kernel > 3.0
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Thu Jun 16 2011 vcizek@novell.com
- update to 1.22
  - use a more useful definition of IN_xxx methods - any bits, not
    a match. (pointed out by Anatoliy Grishayev).
  - slightly reworked the documentation.
* Thu Mar 17 2011 cfarrell@novell.com
- license update: GPL+ or Artistic
  See COPYING file. Same license as perl expands to GPL+ or Artistic
* Fri Dec 10 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jan 25 2010 anicka@suse.cz
- update to 1.21
  * fix a couple of typoes, as pointed out by Grant McLean.
  * rely on common::sense for stricter namespace checking.
  * include IN_DELETE_SELF in events that cancel watchers, as
  the kernel seems to handle it this way only.
  * require sys/inotify.h to be installed, remove the local
  copy (patch by Adrian Bunk).
  * update examples.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Nov 21 2008 ro@suse.de
- update check-build.sh
* Tue Sep  4 2007 ro@suse.de
- remove buildrequires for certain kernel, does not
  help in a build environment
- added check-build.sh to require at least 2.6.17 on build host
* Fri Feb 23 2007 tpatzig@suse.de
- initial package build
